# Uses of Class
org.jfree.chart3d.graphics3d.Offset3D

Packages that use Offset3D
Package
Description
org.jfree.chart3d.graphics3d
The core 3D graphics rendering engine which is fully implemented using the Java2D (Graphics2D) API.
org.jfree.chart3d.renderer.category
Renderers that can be used with the `CategoryPlot3D` class.
org.jfree.chart3d.renderer.xyz
Renderers that can be used with the `XYZPlot` class.

## Uses of Offset3D in org.jfree.chart3d.graphics3d

Fields in org.jfree.chart3d.graphics3d declared as Offset3D
Modifier and Type
Field
Description
`static final Offset3D`
Offset3D.`ZERO_OFFSET`
Zero offset.

## Uses of Offset3D in org.jfree.chart3d.renderer.category

Methods in org.jfree.chart3d.renderer.category that return Offset3D
Modifier and Type
Method
Description
`Offset3D`
AbstractCategoryRenderer3D.`getItemLabelOffsets()`
Returns the item label offsets.
Methods in org.jfree.chart3d.renderer.category with parameters of type Offset3D
Modifier and Type
Method
Description
`void`
AbstractCategoryRenderer3D.`setItemLabelOffsets(Offset3D offsets)`
Sets the item label offsets and sends a change event to all registered listeners.

## Uses of Offset3D in org.jfree.chart3d.renderer.xyz

Methods in org.jfree.chart3d.renderer.xyz that return Offset3D
Modifier and Type
Method
Description
`Offset3D`
ScatterXYZRenderer.`getItemLabelOffsetPercent()`
Returns the item label offsets.
Methods in org.jfree.chart3d.renderer.xyz with parameters of type Offset3D
Modifier and Type
Method
Description
`void`
ScatterXYZRenderer.`setItemLabelOffsetPercent(Offset3D offset)`
Sets the item label offsets and sends a change event to all registered listeners.